#!/usr/bin/make -f
# -*- makefile -*-
# Makefile to build Debian-BR-CDD Packages
# $Id: rules 111 2004-08-13 04:38:11Z otavio $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp: 
	# Building the .desc file
	./tasksel/makedesc.pl tasksel/tasks tasksel/debian-tasks.desc

	touch build-stamp

clean:
	dh_testdir

	# Clean up the mess!
	rm -rf 		tasksel/task-debian-br-cdd
	dh_clean	build-stamp tasksel/debian-tasks.desc

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary install
